<script>
  import { dev } from '$app/environment';
  import { base } from '$app/paths';
  import { iCanHasMotion, iCanHasGeoLocation, ready } from '@/utils';
  import { onMount } from 'svelte';
  import { MetaTags } from 'svelte-meta-tags';
  let canMotion = dev;
  let canLocation = dev;
  let isReady = false;
  onMount(() => {
    ready(() => {
      isReady = true;
      canMotion = iCanHasMotion();
      canLocation = iCanHasGeoLocation();
    });
  });
</script>

<MetaTags title="Collect" description="Collect samples from your device." />
<div id="home">
  {#if !isReady}
    <p style="margin:auto">Loading...</p>
  {:else}
    <h1>What to collect?</h1>
    {#if canMotion}
      <h2>
        <a href="{base}/#/motion">Motion</a>
      </h2>
    {/if}
    <h2>
      <a href="{base}/#/image">Image</a>
    </h2>
    <h2>
      <a href="{base}/#/audio">Audio</a>
    </h2>
    <h2>
      <a href="{base}/#/video">Video</a>
    </h2>
    {#if canLocation}
      <h2>
        <a href="{base}/#/location">Location</a>
      </h2>
    {/if}
  {/if}
</div>

<style>
  #home {
    text-align: center;
    overflow: hidden;
  }
</style>
